## ros-kinetic-joint-limits-interface 0.13.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(joint_limits_interface)

find_package(urdfdom REQUIRED)

find_package(catkin REQUIRED COMPONENTS
  hardware_interface
  roscpp
  urdf
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${urdfdom_INCLUDE_DIRS}
)

# Declare catkin package
catkin_package(
  CATKIN_DEPENDS
    hardware_interface
    roscpp
    urdf
  INCLUDE_DIRS
    include
  DEPENDS
    urdfdom
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  catkin_add_gtest(joint_limits_interface_test test/joint_limits_interface_test.cpp)
  target_link_libraries(joint_limits_interface_test
    ${catkin_LIBRARIES}
    ${urdfdom_LIBRARIES}
  )

  catkin_add_gtest(joint_limits_urdf_test test/joint_limits_urdf_test.cpp)
  target_link_libraries(joint_limits_urdf_test
    ${catkin_LIBRARIES}
    ${urdfdom_LIBRARIES}
  )

  add_rostest_gtest(joint_limits_rosparam_test
    test/joint_limits_rosparam.test
    test/joint_limits_rosparam_test.cpp
  )
  target_link_libraries(joint_limits_rosparam_test
    ${catkin_LIBRARIES}
    ${urdfdom_LIBRARIES}
  )
endif()

# Install
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-kinetic-joint-limits-interface (0.13.5-1xenial) xenial; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 09 Feb 2020 00:00:00 -0000

ros-kinetic-joint-limits-interface (0.13.4-1xenial) xenial; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 12 Jan 2020 00:00:00 -0000

ros-kinetic-joint-limits-interface (0.13.3-1xenial) xenial; urgency=high

  * Update maintainers
  * Fix catkin_lint errors and warnings
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-kinetic-joint-limits-interface (0.13.2-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-kinetic-joint-limits-interface (0.13.1-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-kinetic-joint-limits-interface (0.13.0-1xenial) xenial; urgency=high

  * Add method to populate SoftJointLimits from ROS parameter server. (#292 <https://github.com/ros-controls/ros_control/issues/292>)
  * Contributors: Miguel Prada

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-kinetic-joint-limits-interface (0.12.0-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 04 Aug 2017 23:00:00 -0000

ros-kinetic-joint-limits-interface (0.11.5-1xenial) xenial; urgency=high

  * Throw error if EffortJointSaturationHandle is missing effort or velocity limits
  * Contributors: Bence Magyar, Dave Coleman

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 27 Jun 2017 23:00:00 -0000

ros-kinetic-joint-limits-interface (0.11.4-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-kinetic-joint-limits-interface (0.11.3-1xenial) xenial; urgency=high

  * Add urdf compatibility header
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-kinetic-joint-limits-interface (0.11.2-1xenial) xenial; urgency=high

  * Add Enrique and Bence to maintainer list
  * Clean up export leftovers from rosbuild
  * Convert to format2, fix dependency in cmake
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-kinetic-joint-limits-interface (0.11.1-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 17 Aug 2016 23:00:00 -0000

ros-kinetic-joint-limits-interface (0.11.0-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-kinetic-joint-limits-interface (0.10.1-1xenial) xenial; urgency=high

  * Fix catkin_package
    * Don't export local include dirs.
    * Fix dependency on urdfdom (Thanks to Mathias Lüdtke).
  * Contributors: Jochen Sprickerhof

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 22 Apr 2016 23:00:00 -0000

ros-kinetic-joint-limits-interface (0.10.0-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-kinetic-joint-limits-interface (0.9.3-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 04 May 2015 23:00:00 -0000

ros-kinetic-joint-limits-interface (0.9.2-1xenial) xenial; urgency=high

  * Reset functionality for stateful position joint limit handles
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-kinetic-joint-limits-interface (0.9.1-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-kinetic-joint-limits-interface (0.9.0-1xenial) xenial; urgency=high

  * Buildsystem and documentation fixes
  * Add inline keyword to free header functions
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Lukas Bulwahn, shadowmanos

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-kinetic-joint-limits-interface (0.8.2-1xenial) xenial; urgency=high

  * Propagate urdfdom changes to CMakeLists.txt
    urdfdom is now standalone, so it must be find_package'd independently.
  * Fix rostest, which was not being built correctly.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-kinetic-joint-limits-interface (0.8.1-1xenial) xenial; urgency=high

  * Use upstream liburdfdom-dev package.
    Refs ros/rosdistro#4633 <https://github.com/ros/rosdistro/issues/4633>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-kinetic-joint-limits-interface (0.8.0-1xenial) xenial; urgency=high

  * Remove rosbuild artifacts. Fix #154 <https://github.com/ros-controls/ros_control/issues/154>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 11 May 2014 23:00:00 -0000

ros-kinetic-joint-limits-interface (0.7.2-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-kinetic-joint-limits-interface (0.7.1-1xenial) xenial; urgency=high

  * Fix dependency specification in CMake script to allow isolated builds.
  * Contributors: Adolfo Rodriguez Tsouroukdissian



=== debian/control ===
Source: ros-kinetic-joint-limits-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), liburdfdom-dev, ros-kinetic-catkin, ros-kinetic-hardware-interface, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-rosunit, ros-kinetic-urdf
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-kinetic-joint-limits-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liburdfdom-dev, ros-kinetic-hardware-interface, ros-kinetic-roscpp, ros-kinetic-urdf
Description: Interface for enforcing joint limits.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-joint-limits-interface//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
